@echo off
rem *** This batch file was created 1/7/93 by Bill Oliver from another batch file that was
rem     written by MCH for Tahoe Software Productions ***

rem go to drive where files are
c:

cls
:MENU
echo.
echo "PRINT Barbie - Super Model" Programmed by Matthew C. Harmon and Bill Oliver
echo.
echo A - Full           (print all)
echo B - Print BARBIE   (Main code)
echo C - Print SEGA     (Initialization code)
echo D - Print B_GFX_1  (Graphics in bank 4)
echo E - Print B_GFX_2  (Graphics in bank 5)
echo F - Print B_GFX_3  (Graphics in bank 7)
echo G - Print B_GFX_4  (Graphics in bank 8)
echo H - Print OBJECTS  (Objects Lists in bank 6)
echo I - Print SOUNDS   (Sound Driver)
echo J - Print EQUATES  (Equates and RAM layout for Sound Driver)
echo K - Print MISC     (Miscellaneous sound routines)
rem echo.
rem echo X - Backup code and art to BACKUP directory on C:
rem echo Y - Backup code and art to floppy in A:
rem echo.
echo Z - Print Downloader Script and Linker Scripts
echo.
echo Q - Quit
echo ? - This Menu
echo.
:START
choice /c:abcdefghijkxyzq? "Selection "
if errorlevel 16 goto :MENU
if errorlevel 15 goto :EXIT
if errorlevel 14 goto :DLOAD
if errorlevel 13 goto :EXIT
if errorlevel 12 goto :EXIT
if errorlevel 11 goto :EXIT
if errorlevel 10 goto :EXIT
if errorlevel 9 goto :SOUNDS
if errorlevel 8 goto :OBJECTS
if errorlevel 7 goto :B_GFX_4
if errorlevel 6 goto :B_GFX_3
if errorlevel 5 goto :B_GFX_2
if errorlevel 4 goto :B_GFX_1
if errorlevel 3 goto :SEGA
if errorlevel 2 goto :BARBIE
goto FULL

:FULL
echo Printing \gamegear\barbie\code\main\BARBIE.src
echo >Prn \gamegear\barbie\code\main\BARBIE.src
echo >Prn ===================================================
cd \gamegear\barbie\code\main
copy barbie.src prn:
echo >Prn 

echo Printing \gamegear\barbie\code\init\SEGA.src
echo >Prn \gamegear\barbie\code\init\SEGA.src
echo >Prn ===================================================
cd \gamegear\barbie\code\init
copy sega.src prn:
echo >Prn 

echo Printing \gamegear\barbie\code\gfx\B_GFX_1.src
echo >Prn \gamegear\barbie\code\gfx\B_GFX_1.src
echo >Prn ===================================================
cd \gamegear\barbie\code\gfx
copy b_gfx_1.src prn:
echo >Prn 

echo Printing \gamegear\barbie\code\gfx\B_GFX_2.src
echo >Prn \gamegear\barbie\code\gfx\B_GFX_2.src
echo >Prn ===================================================
cd \gamegear\barbie\code\gfx
copy b_gfx_2.src prn:
echo >Prn 

echo Printing \gamegear\barbie\code\objects\OBJECTS.src
echo >Prn \gamegear\barbie\code\objects\OBJECTS.src
echo >Prn ===================================================
cd \gamegear\barbie\code\objects
copy objects.src prn:
echo >Prn 

cd..
goto START

:BARBIE
cd \gamegear\barbie\code\main
copy barbie.src prn:
echo >Prn 
goto START

:SEGA
cd \gamegear\barbie\code\init
copy sega.src prn:
echo >Prn 
goto START

:B_GFX_1
cd \gamegear\barbie\code\gfx
copy b_gfx_1.src prn:
echo >Prn 
goto START

:B_GFX_2
cd \gamegear\barbie\code\gfx
copy b_gfx_2.src prn:
echo >Prn 
goto START

:B_GFX_3
cd \gamegear\barbie\code\gfx
copy b_gfx_3.src prn:
echo >Prn 
goto START

:B_GFX_4
cd \gamegear\barbie\code\gfx
copy b_gfx_4.src prn:
echo >Prn 
goto START

:OBJECTS
cd \gamegear\barbie\code\objects
copy objects.src prn:
echo >Prn 
goto START

:SOUNDS
cd \gamegear\barbie\code\fx
copy sounds.asm
echo >Prn 
goto START

:DLOAD
echo Printing \gamegear\barbie\code\scripts\barbie.erx
echo >Prn .
echo >Prn \gamegear\barbie\code\scripts\barbie.erx
echo >Prn ===================================================
cd \gamegear\barbie\code
copy scripts\barbie.erx prn:
echo >Prn ===================================================

echo Printing \gamegear\barbie\code\scripts\barbie.cmd
echo >Prn .
echo >Prn \gamegear\barbie\code\scripts\barbie.cmd
echo >Prn ===================================================
copy scripts\barbie.cmd prn:
echo >Prn ===================================================

echo Printing \gamegear\barbie\code\scripts\objects.cmd
echo >Prn .
echo >Prn \gamegear\barbie\code\scripts\objects.cmd
echo >Prn ===================================================
copy scripts\objects.cmd prn:
echo >Prn ===================================================

echo Printing \gamegear\barbie\code\scripts\b_gfx_1.cmd
echo >Prn .
echo >Prn \gamegear\barbie\code\scripts\b_gfx_1.cmd
echo >Prn ===================================================
copy scripts\b_gfx_1.cmd prn:
echo >Prn ===================================================

echo Printing \gamegear\barbie\code\scripts\b_gfx_2.cmd
echo >Prn .
echo >Prn \gamegear\barbie\code\scripts\b_gfx_2.cmd
echo >Prn ===================================================
copy scripts\b_gfx_2.cmd prn:
echo >Prn ===================================================

echo Printing \gamegear\barbie\code\scripts\b_gfx_3.cmd
echo >Prn .
echo >Prn \gamegear\barbie\code\scripts\b_gfx_3.cmd
echo >Prn ===================================================
copy scripts\b_gfx_3.cmd prn:
echo >Prn ===================================================

echo Printing \gamegear\barbie\code\scripts\b_gfx_4.cmd
echo >Prn .
echo >Prn \gamegear\barbie\code\scripts\b_gfx_4.cmd
echo >Prn ===================================================
copy scripts\b_gfx_4.cmd prn:
echo >Prn ===================================================
echo >Prn 

:EXIT
echo on
